Middleware 1.4.3.1 e 1.3.3.1

Buongiorno,
ho un lettore ACR 122U.

Con una carta 1.6.2020 devo usare la versione del middleware 1.3.3.1 per farla funzionare, con una carta emessa il 25.08.2022 devo usare la versione 1.4.3.1, come mai?
@IPZS-CIE ?

Grazie

Probabilmente quando hanno ristoccato le tessere hanno cambiato fornitore, facendo perdere la compatibilità con il middleware più vecchio.

Grazie Matteo per la risposta,
però è un problema di sw perchè una versione funziona con una scheda, un’altra versione con un’altra.

Ciao @iidmitaly

il lettore in questione ha mostrato problemi con la CIE a causa di un firmware non perfettamente compatibile.
Ci sono diversi thread in merito nel forum.

La 1.4.3.1 dovrebbe essere compatibile con tutti i processori in circolazione.

È possibile abilitare i log dalla sezione IMPOSTAZIONI di CIEID, impostarli a DEBUG, fare un’altra prova con la sua carta ed inviare i files di log presenti sotto c:%PROGRAMDATA%\CIEPKI all’indirizzo a.antetomaso@ipzs.it?

Così potremo fare diagnosi più approfondita sul tipo di problema.
Grazie

1 Mi Piace

@IPZS-CIE dove si trova la voce impostazioni? Ho reinstallato la versione 1.3.3.1 per usare le vecchie carte; c’è anche qui impostazioni?

Si, nella versione 1.3 non è presente. Dovrebbe installare nuovamente la 1.4.3.1.
Che data di emissione riportano le carte incriminate? Su che versione di Windows si trova?

Il software 1.3.3.1 funziona due carte emesse rispettivamente il 1/06/2020 e 7/10/2021, non funziona con la carta emessa il 25/08/2022.
Se non ricordo male la versione 1.4.3.1 funzionava solo con quest’ultima carta.
Il sistema operativo è Windows 11 Pro 21H Build 22000.918.

Provo a installare la versione 1.4.3.1 e ad attivare i log.

Massimiliano Evangelista
CEO & Founder | IT Project Manager, PMP
IIDM|Informatica Innovazione Digitalizzazione & Marketing | https://www.iidm.it

Grazie delle informazioni. Il Software in versione 1.4.3.1 dovrebbe funzionare con tutte le carte distribuite e tutti i tipi di processore adottati dall’inizio del progetto.
Ovviamente, a meno di casi particolari o bug che vanno considerati e risolti.
Grazie dell’aiuto.

1 Mi Piace

Ho inviato i log.

Grazie

Anche noi siamo a conoscenza di problemi di utilizzo della CIE con alcuni lettori presenti sul mercato

Da agosto 2022 abbiamo reso disponibile sul mercato il nostro nuovo prodotto BLUTRONICS TAURUS NFC.

Il dispositivo si colloca come leader nel suo target di mercato per caratteristiche, robustezza ed affidabilità

Compliant con tutte le versioni di CIE, TS, CNS, CRS contactless

BLUTRONICS TAURUS NFC

Contactless NFC USB Reader
CCID • NFC • ISO14443 • ISO18092
Mifare Classic 1k and 4K
Mifare Plus • DESFire • Ultralight
NFC forum tag 1,2,3 • EMVCo 2.1